/*                          
 * mBench: The Open Source Micro Benchmark Tool 
 *                                             
 * Distributable under GPL license. 
 * See terms of license at gnu.org.                 
 *
 * Copyright (C) 2005 Sumisho Computer Systems Corp.
 */
package test.jp.co.scs.mbench.stub;

/**
 *      The stub for testing BenchmarkManager.
 *      This stub print logs to System.out
 * 
 *      @author Tetsuro Ikeda
 */
public class StubBenchmarkManagerLogWriter3 extends
        StubBenchmarkManagerLogWriter {

    public StubBenchmarkManagerLogWriter3(String logName) {
        super(logName);
    }

    public void write(int level, String desc) {
        if (level >= getLogLevel()) {
            if (level == DEBUG) {
                System.out.println(debug_label + desc);
            } else if (level == INFO) {
                System.out.println(info_label + desc);
            } else if (level == ERROR) {
                System.err.println(error_label + desc);
            }
        }
    }
}
